Package Gnumed :: Package timelinelib :: Package editors :: Module container :: Class ContainerEditor |
[frames] | no frames]

# Class ContainerEditor

source code

    object --+
             |
            ContainerEditor

This controller is responsible for two things:

1. creating a new Container event
2. updating properties of an existing Container event

When creating a new Container event the result is NOT stored in the timeline database. This happens later when the first event added to the container is saved to the database. The reason for this behavior is that we don't want to have empty Conatiners in the database. When updating the properties of an existing Container event the changes are stored in the timeline database.

Instance Methods
__init__(self, view, db, container) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
save(self) | source code
get_container(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, view, db, container) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)